#ifndef PATH_MANAGE_H
#define PATH_MANAGE_H

/*!
  \file
  \brief 経路走行の管理

  \author Satofumi KAMIMURA

  $Id: path_manage.h 1217 2009-08-10 22:38:36Z satofumi $
*/

#include "path_t.h"
#include "follow_t.h"
#include "position_t.h"


extern void path_initialize(path_t *path);
extern void path_reset(path_t *path);
extern void path_resetOffset(position_t *follow_position,
                             const position_t *position);
extern void path_first(position_t *follow_position);
extern void path_calcluateBodyVelocity(long *mm_per_sec,
                                       long *dir16, path_t *path,
                                       follow_t *straight, follow_t *rotate,
                                       const position_t *follow_position,
                                       const position_t *position);

#endif /* !PATH_MANAGE_H */
